     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is "com.orbs.open1.mpl.awt.image.ImageUtil",
     // created 1997-02-14.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.awt.image;

     import java.applet.*;
     import java.awt.*;
     import java.awt.image.*;

     /*********************************************************************
     * @version
     *   1997-02-14
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     *********************************************************************/

     public final class  ImageUtil {
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////

     public static Image  crop (
       Image  image, int  x, int  y, int  w, int  h,
       Applet  applet ) {
     //////////////////////////////////////////////////////////////////////
     // p274, Java in a Nutshell
     //////////////////////////////////////////////////////////////////////
       ImageFilter  cropper = new CropImageFilter ( x, y, w, h );
       ImageProducer  prod
         = new FilteredImageSource ( image.getSource ( ), cropper );
       if ( applet != null ) {
         return applet.createImage ( prod );
       } else {
         return Toolkit.getDefaultToolkit ( ).createImage ( prod );
       }
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
