     //////////////////////////////////////////////////////////////////////
     //
     // Copyright (C) 1998 Analytic Services, Inc. (ANSER)
     //
     // Permission is hereby granted, free of charge, to any person
     // obtaining a copy of this software and associated documentation
     // files (the "Software"), to deal in the Software without
     // restriction, including without limitation the rights to use, copy,
     // modify, merge, publish, distribute, sublicense, and/or sell copies
     // of the Software, and to permit persons to whom the Software is
     // furnished to do so, subject to the following conditions:
     //
     // The above copyright notice and this permission notice shall be
     // included in all copies or substantial portions of the Software.
     //
     // THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
     // EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
     // MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
     // NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
     // HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
     // WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
     // OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
     // DEALINGS IN THE SOFTWARE.
     //
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mit.io;

     import java.io.*;

     /*********************************************************************
     * <P>
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     * @version
     *   1998-03-11
     * @deprecated
     *   Use com.orbs.open.io.Serialize.
     *********************************************************************/

     public final class  Serialize {
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////

     private  Serialize ( ) { }

     public static Serializable  load ( String  filename )
       throws FileNotFoundException, IOException, ClassNotFoundException {
     //////////////////////////////////////////////////////////////////////
       File  file = new File ( filename );
       if ( file.exists ( ) ) {
         FileInputStream  in = new FileInputStream ( file );
         ObjectInputStream  s = new ObjectInputStream ( in );
         Serializable  serializable = ( Serializable ) s.readObject ( );
         s.close ( );
         in.close ( );
         return serializable;
       }
       return null;
     }

     public static boolean  save (
       String  filename, Serializable  serializable ) {
     //////////////////////////////////////////////////////////////////////
       try {
         FileOutputStream  f = new FileOutputStream ( filename );
         ObjectOutputStream  s = new ObjectOutputStream ( f );
         s.writeObject ( serializable );
         s.flush ( );
         s.close ( );
         f.close ( );
         return true;
       } catch ( Exception  e ) { }
       return false;
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
