     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is "com.orbs.open1.mpl.animation.Sprite",
     // created 1997-04-19.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.animation;

     import java.awt.*;

     /*********************************************************************
     * @version
     *   1997-04-19
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     *********************************************************************/

     public class  Sprite {
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////

     SpriteCanvas  spriteCanvas;
     Image         image;
     int           x;
     int           y;
     int           z;
     int           w;
     int           h;
     long          id;

     protected Image         scratchImage;
     protected Graphics      scratchGraphics;

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////

     public  Sprite ( SpriteCanvas  spriteCanvas, Image  image,
       int  x, int  y, int  z, int  w, int  h, long  id ) {
     //////////////////////////////////////////////////////////////////////
       this.spriteCanvas = spriteCanvas;
       this.image        = image;
       this.x            = x;
       this.y            = y;
       this.z            = z;
       this.w            = w;
       this.h            = h;
       this.id           = id;
     }

     public void  setImage ( Image  image ) {
     //////////////////////////////////////////////////////////////////////
       try {
         this.image = image;
// Assumes new image same size!
         spriteCanvas.slip ( this, 0, 0 );
       } catch ( Exception  e ) { e.printStackTrace ( ); }
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
