     //////////////////////////////////////////////////////////////////////
     // The contents of this file are subject to the Mozilla Public License
     // Version 1.1 (the "License"); you may not use this file except in
     // compliance with the License.  You may obtain a copy of the License
     // at http://www.mozilla.org/MPL/
     //
     // Software distributed under the License is distributed on an "AS IS"
     // basis, WITHOUT WARRANTY OF ANY KIND, either express or implied.
     // See the License for the specific language governing rights and
     // limitations under the License.
     //
     // The Original Code is
     // "com.orbs.open1.mpl.app.vaft.util.broadcast.BroadcastEvent",
     // created 1999-04-05.
     //
     // The Initial Developer of the Original Code is David Wallace Croft
     // (croft@alumni.caltech.edu, http://www.alumni.caltech.edu/~croft/).
     // Portions created by David Wallace Croft are
     // Copyright (C) 1999 David Wallace Croft.  All Rights Reserved.
     //
     // Contributor(s):
     //////////////////////////////////////////////////////////////////////

     package com.orbs.open1.mpl.app.vaft.util.broadcast;

     import java.util.EventObject;

     /*********************************************************************
     * <P>
     * @author
     *   <A HREF="http://www.alumni.caltech.edu/~croft">David W. Croft</A>
     * @version
     *   1998-04-05
     *********************************************************************/

     public class  BroadcastEvent extends EventObject
     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     {

     private  String  announcement;

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////

     public  BroadcastEvent (
       Broadcaster  broadcaster, String  announcement )
     //////////////////////////////////////////////////////////////////////
     {
       super ( broadcaster );
       this.announcement = announcement;
     }

     public Broadcaster  getBroadcaster ( )
     //////////////////////////////////////////////////////////////////////
     {
       return ( Broadcaster ) getSource ( );
     }

     public String  getAnnouncement ( ) { return announcement; }

     public String  toString ( )
     //////////////////////////////////////////////////////////////////////
     {
       return getBroadcaster ( ).getBroadcastName ( )
         + ":  \"" + announcement + "\"";
     }

     //////////////////////////////////////////////////////////////////////
     //////////////////////////////////////////////////////////////////////
     }
